Summary: A Web server log file analysis program.
Name: webalizer
Version: 1.30.04
Release: 1
Copyright: GPL
Group: Applications/System
Source: ftp://www.mrunix.net/pub/webalizer/webalizer-1.30-04-src.tgz 
Source1: webalizer.sh
URL: http://www.mrunix.net/webalizer/
Patch: webalizer.patch
BuildRoot: /var/tmp/webalizer-root


%description
The Webalizer is a Web server log file analysis program written in C
for speed and portability.  The Webalizer produces usage statistics
reports in HTML format which can be viewed with a browser.  Usage
statistics are presented in both columnar and graphical format and the
reports are very configurable.  The Webalizer supports multiple
languages, unlimited log file sizes and partial logs, standard Common
Logfile Format server logs and some variations of Extended Logfile
Format server logs.

%prep
%setup -q -n webalizer-1.30-04
#%patch -p1 -b .patch

%build
./configure --prefix=/usr --with-gdlib=/usr/lib --with-gd=/usr/include
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{man,bin,lib}
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/lib/webalizer
make prefix=$RPM_BUILD_ROOT/usr install
install -m 644 sample.conf $RPM_BUILD_ROOT/etc/webalizer.conf
install -m 755 $RPM_SOURCE_DIR/webalizer.sh $RPM_BUILD_ROOT/usr/lib/webalizer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%config /etc/webalizer.conf
/usr/bin/webalizer
/usr/lib/webalizer/webalizer.sh

%doc CHANGES COPYING Copyright INSTALL README REDHAT.README country-codes.txt msfree.gif webalizer.LSM 

%changelog
* Fri Jul 23 1999 Tim Powers <timp@redhat.com>
- updated source
- added ./configure lines
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Mon Aug 10 1998 Michael Maher <mike@redhat.com>
- built package 
